#include "avr/pgmspace.h"  


PROGMEM const uint16_t mydata[9] = {1, 2, 3, 4, 5, 6, 7, 8, 9};
int data;

void setup() {
  Serial.begin(9600);
}

void loop() {
  for (uint8_t t = 0; t<9; t++){
    data = pgm_read_word_near(&mydata[t]);
    Serial.println(data); 
    delay(1000); 
  }
}

